package domain


type AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest struct {
    /*
        业务日期     */
    Thedate  *string `json:"thedate,omitempty" `

    /*
        每页条数     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        页码     */
    PageNo  *int64 `json:"page_no,omitempty" `

    /*
        storeId     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        最大的id     */
    MaxId  *int64 `json:"max_id,omitempty" `

}

func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest) SetThedate(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest {
    s.Thedate = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest) SetPageSize(v int64) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest {
    s.PageSize = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest) SetPageNo(v int64) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest {
    s.PageNo = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest) SetStoreId(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest) SetMaxId(v int64) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest {
    s.MaxId = &v
    return s
}
